clang 8.0.0

Public Member Functions | List of all members
clang::DestroyTemplateIdAnnotationsRAIIObj Class Reference

RAIIObject to destroy the contents of a SmallVector of TemplateIdAnnotation pointers and clear the vector. More...

`#include "clang/Parse/RAIIObjectsForParser.h"`

## Public Member Functions
| DestroyTemplateIdAnnotationsRAIIObj (SmallVectorImpl< TemplateIdAnnotation *> &Container)
| ~DestroyTemplateIdAnnotationsRAIIObj ()

## Detailed Description

RAIIObject to destroy the contents of a SmallVector of TemplateIdAnnotation pointers and clear the vector.

Definition at line 447 of file RAIIObjectsForParser.h.

## Constructor & Destructor Documentation

## ◆ DestroyTemplateIdAnnotationsRAIIObj()

clang::DestroyTemplateIdAnnotationsRAIIObj::DestroyTemplateIdAnnotationsRAIIObj | ( | SmallVectorImpl< TemplateIdAnnotation *> & | Container | ) |
| inline

Definition at line 451 of file RAIIObjectsForParser.h.

## ◆ ~DestroyTemplateIdAnnotationsRAIIObj()

clang::DestroyTemplateIdAnnotationsRAIIObj::~DestroyTemplateIdAnnotationsRAIIObj | ( |  | ) |
| inline

Definition at line 455 of file RAIIObjectsForParser.h.

The documentation for this class was generated from the following file:

- include/clang/Parse/RAIIObjectsForParser.h